Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
    1 Day
    5 Days
    10 Days
    15 Days
    Metadata
      Index groupsgetIndex metadata by group idgetIndex metadatagetIndex metadata by index Idget
Tropical
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Metadata


Index groups

GET
https://dataservice.accuweather.com
/indices/v1/daily/groups

Returns a list of all index groups

Index groups › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Index groups › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Index groups › Responses

OK

​API.Indices.Entities.OpenAPI.IndexGroup[]
API.Indices.Entities.OpenAPI.IndexGroup
Name
​string · minLength: 1 · required

Name of the index group.

ID
​integer · int32 · required

Numeric id used to identify a group of related indices.

Ascending
​boolean

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Description
​string | null

A text value that provides detail about the index group.

GET/indices/v1/daily/groups
curl https://dataservice.accuweather.com/indices/v1/daily/groups \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "Description": "Description" } ]
json
application/json

Index metadata by group id

GET
https://dataservice.accuweather.com
/indices/v1/daily/groups/{groupID}

Returns indices and associated metadata that are defined in a specific group using group id.

Index metadata by group id › path Parameters

groupID
​string

A numerical value representing a group of related indices. More information can be found here.

Example: 1

Index metadata by group id › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Index metadata by group id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Index metadata by group id › Responses

OK

​API.Indices.Entities.OpenAPI.IndexInfo[]
API.Indices.Entities.OpenAPI.IndexInfo
Name
​string · minLength: 1 · required

Name of the index group.

ID
​integer · int32 · required

Numeric id used to identify the specific index group.

Ascending
​boolean · required

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Description
​string · minLength: 1 · required

A text value that provides detail about the index group.

GET/indices/v1/daily/groups/{groupID}
curl https://dataservice.accuweather.com/indices/v1/daily/groups/:groupID \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "Description": "Description" } ]
json
application/json

Index metadata

GET
https://dataservice.accuweather.com
/indices/v1/daily

Returns all indices and associated metadata

Index metadata › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Index metadata › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Index metadata › Responses

OK

​API.Indices.Entities.OpenAPI.IndexInfo[]
API.Indices.Entities.OpenAPI.IndexInfo
Name
​string · minLength: 1 · required

Name of the index group.

ID
​integer · int32 · required

Numeric id used to identify the specific index group.

Ascending
​boolean · required

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Description
​string · minLength: 1 · required

A text value that provides detail about the index group.

GET/indices/v1/daily
curl https://dataservice.accuweather.com/indices/v1/daily \ --header 'Authorization: <api-key>'
Example Responses
[ { "Name": "Name", "ID": 0, "Ascending": true, "Description": "Description" } ]
json
application/json

Index metadata by index Id

GET
https://dataservice.accuweather.com
/indices/v1/daily/{indexID}

Specify an index ID to get metadata for that index.

Index metadata by index Id › path Parameters

indexID
​string

A numerical value used to identify a specific index. More information can be found here.

Example: 29

Index metadata by index Id › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Index metadata by index Id › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Index metadata by index Id › Responses

OK

API.Indices.Entities.OpenAPI.IndexInfo
Name
​string · minLength: 1 · required

Name of the index group.

ID
​integer · int32 · required

Numeric id used to identify the specific index group.

Ascending
​boolean · required

Bit that describes the direction of the index value. When true, the poorest value is 0, best value is 10. When false, the poorest value is 10, best value is 0.

Description
​string · minLength: 1 · required

A text value that provides detail about the index group.

GET/indices/v1/daily/{indexID}
curl https://dataservice.accuweather.com/indices/v1/daily/:indexID \ --header 'Authorization: <api-key>'
Example Responses
{ "Name": "Name", "ID": 0, "Ascending": true, "Description": "Description" }
json
application/json

15 DaysActive